Bug 77638 - TB EthernetHardwareDruid:21 import error from NC_functions import _
TB EthernetHardwareDruid:21 import error from NC_functions import _
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-11 03:41 EST by Michael Goll
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-30 11:19:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Goll 2002-11-11 03:41:22 EST
Description of Problem:

running neat, get python import error

Version-Release number of selected component (if applicable):

redhat-config-network-1.1.20-1


How Reproducible:


Steps to Reproduce:
1. redhat-config-network (or neat)


Actual Results:

Python import error (see below)


Expected Results:

config-network dialog


Additional Information:

Traceback (most recent call last):
  File "/usr/sbin/neat", line 58, in ?
    from netconfpkg import *
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/__init__.py", line
39, in ?
    exec cmd
  File "<string>", line 1, in ?
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/EthernetHardwareDruid.py",
line 21, in ?
    from NC_functions import _
ImportError: cannot import name _


python-2.2.1-17
Comment 1 Michael Goll 2002-11-14 15:02:34 EST
If you remove this file, it just falls over on the next one, so I don't think it
has particularly anything to do with EthernetHardwareDruid.

Cheers...
Michael
Comment 2 Harald Hoyer 2003-01-13 08:08:37 EST
this is very strange... can you remove /usr/share/redhat-config-network
completly and reinstall redhat-config-network again?
# rm -f /usr/share/redhat-config-network
# mount /mnt/cdrom
# cd /mnt/cdrom/RedHat/RPMS
# rpm -Uvh redhat-config-network-1.1.20-1.*.rpm
Comment 3 Michael Goll 2003-01-15 17:20:46 EST
Hi,

I had used rpm to remove and reinstall this rpm several times to no avail.  But
I had not thought to manually delete that directory.  I did what you suggested
and it worked like a charm.

Thanks a million.

Take care...
Michael

Note You need to log in before you can comment on or make changes to this bug.